package com.utopiaindustries.model.uind;

import java.time.LocalDate;
import java.time.LocalDateTime;

public class Item {

    private long id;
    private String title;
    private String shortTitle;
    private String description;
    private String spec1;
    private String spec2;
    private String spec3;
    private String spec4;
    private String spec5;
    private String brand;
    private String year;
    private String model;
    private long unitId;
    private long companyId;
    private long functionId;
    private long departmentId;
    private Long sectionId;
    private long typeId;
    private long categoryId;
    private Long subcategoryOneId;
    private Long subcategoryTwoId;
    private String code;
    private String sku;
    private long itemRequestId;
    private long minimumLevel;
    private long deadLevel;
    private long storageLocationSiteId;
    private long storageLocationUnitId;
    private Long storageLocationFloorId;
    private Long storageLocationStoreId;
    private Long storageLocationShelfId;
    private LocalDate dateAdded;

    private String lastAuditUpdateBy;
    private LocalDateTime lastAuditDate;
    private String requestedByUser;
    private String addedByUser;
    private boolean isActive;
    private String hsCode;
    private String imageUrl;
    private String approvalStatus;
    private String approvedBy;
    private LocalDateTime approvedDate;
    private String remarks;
    private LocalDateTime requestDateTime;
    private String materialType;
    private String measurement;
    private String origin;
    private boolean isSkuSystemGenerated;
    private boolean isUpdated;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getShortTitle() {
        return shortTitle;
    }

    public void setShortTitle(String shortTitle) {
        this.shortTitle = shortTitle;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getSpec1() {
        return spec1;
    }

    public void setSpec1(String spec1) {
        this.spec1 = spec1;
    }

    public String getSpec2() {
        return spec2;
    }

    public void setSpec2(String spec2) {
        this.spec2 = spec2;
    }

    public String getSpec3() {
        return spec3;
    }

    public void setSpec3(String spec3) {
        this.spec3 = spec3;
    }

    public String getSpec4() {
        return spec4;
    }

    public void setSpec4(String spec4) {
        this.spec4 = spec4;
    }

    public String getSpec5() {
        return spec5;
    }

    public void setSpec5(String spec5) {
        this.spec5 = spec5;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public long getUnitId() {
        return unitId;
    }

    public void setUnitId(long unitId) {
        this.unitId = unitId;
    }

    public long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(long companyId) {
        this.companyId = companyId;
    }

    public long getFunctionId() {
        return functionId;
    }

    public void setFunctionId(long functionId) {
        this.functionId = functionId;
    }

    public long getDepartmentId() {
        return departmentId;
    }

    public void setDepartmentId(long departmentId) {
        this.departmentId = departmentId;
    }

    public Long getSectionId() {
        return sectionId;
    }

    public void setSectionId(Long sectionId) {
        this.sectionId = sectionId;
    }

    public long getTypeId() {
        return typeId;
    }

    public void setTypeId(long typeId) {
        this.typeId = typeId;
    }

    public long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(long categoryId) {
        this.categoryId = categoryId;
    }

    public Long getSubcategoryOneId() {
        return subcategoryOneId;
    }

    public void setSubcategoryOneId(Long subcategoryOneId) {
        this.subcategoryOneId = subcategoryOneId;
    }

    public Long getSubcategoryTwoId() {
        return subcategoryTwoId;
    }

    public void setSubcategoryTwoId(Long subcategoryTwoId) {
        this.subcategoryTwoId = subcategoryTwoId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku;
    }

    public long getItemRequestId() {
        return itemRequestId;
    }

    public void setItemRequestId(long itemRequestId) {
        this.itemRequestId = itemRequestId;
    }

    public long getMinimumLevel() {
        return minimumLevel;
    }

    public void setMinimumLevel(long minimumLevel) {
        this.minimumLevel = minimumLevel;
    }

    public long getDeadLevel() {
        return deadLevel;
    }

    public void setDeadLevel(long deadLevel) {
        this.deadLevel = deadLevel;
    }

    public long getStorageLocationSiteId() {
        return storageLocationSiteId;
    }

    public void setStorageLocationSiteId(long storageLocationSiteId) {
        this.storageLocationSiteId = storageLocationSiteId;
    }

    public long getStorageLocationUnitId() {
        return storageLocationUnitId;
    }

    public void setStorageLocationUnitId(long storageLocationUnitId) {
        this.storageLocationUnitId = storageLocationUnitId;
    }

    public Long getStorageLocationFloorId() {
        return storageLocationFloorId;
    }

    public void setStorageLocationFloorId(Long storageLocationFloorId) {
        this.storageLocationFloorId = storageLocationFloorId;
    }

    public Long getStorageLocationStoreId() {
        return storageLocationStoreId;
    }

    public void setStorageLocationStoreId(Long storageLocationStoreId) {
        this.storageLocationStoreId = storageLocationStoreId;
    }

    public Long getStorageLocationShelfId() {
        return storageLocationShelfId;
    }

    public void setStorageLocationShelfId(Long storageLocationShelfId) {
        this.storageLocationShelfId = storageLocationShelfId;
    }

    public LocalDate getDateAdded() {
        return dateAdded;
    }

    public void setDateAdded(LocalDate dateAdded) {
        this.dateAdded = dateAdded;
    }

    public String getLastAuditUpdateBy() {
        return lastAuditUpdateBy;
    }

    public void setLastAuditUpdateBy(String lastAuditUpdateBy) {
        this.lastAuditUpdateBy = lastAuditUpdateBy;
    }

    public LocalDateTime getLastAuditDate() {
        return lastAuditDate;
    }

    public void setLastAuditDate(LocalDateTime lastAuditDate) {
        this.lastAuditDate = lastAuditDate;
    }

    public String getRequestedByUser() {
        return requestedByUser;
    }

    public void setRequestedByUser(String requestedByUser) {
        this.requestedByUser = requestedByUser;
    }

    public String getAddedByUser() {
        return addedByUser;
    }

    public void setAddedByUser(String addedByUser) {
        this.addedByUser = addedByUser;
    }

    public boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(boolean active) {
        isActive = active;
    }

    public String getHsCode() {
        return hsCode;
    }

    public void setHsCode(String hsCode) {
        this.hsCode = hsCode;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getApprovalStatus() {
        return approvalStatus;
    }

    public void setApprovalStatus(String approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    public String getApprovedBy() {
        return approvedBy;
    }

    public void setApprovedBy(String approvedBy) {
        this.approvedBy = approvedBy;
    }

    public LocalDateTime getApprovedDate() {
        return approvedDate;
    }

    public void setApprovedDate(LocalDateTime approvedDate) {
        this.approvedDate = approvedDate;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public LocalDateTime getRequestDateTime() {
        return requestDateTime;
    }

    public void setRequestDateTime(LocalDateTime requestDateTime) {
        this.requestDateTime = requestDateTime;
    }

    public String getMaterialType() {
        return materialType;
    }

    public void setMaterialType(String materialType) {
        this.materialType = materialType;
    }

    public String getMeasurement() {
        return measurement;
    }

    public void setMeasurement(String measurement) {
        this.measurement = measurement;
    }

    public String getOrigin() {
        return origin;
    }

    public void setOrigin(String origin) {
        this.origin = origin;
    }

    public boolean getIsSkuSystemGenerated() {
        return isSkuSystemGenerated;
    }

    public void setIsSkuSystemGenerated(boolean skuSystemGenerated) {
        isSkuSystemGenerated = skuSystemGenerated;
    }

    public boolean getIsUpdated() {
        return isUpdated;
    }

    public void setIsUpdated(boolean updated) {
        isUpdated = updated;
    }

    @Override
    public String toString() {
        return "Item{" +
                "id=" + id +
                ", title='" + title + '\'' +
                ", shortTitle='" + shortTitle + '\'' +
                ", description='" + description + '\'' +
                ", spec1='" + spec1 + '\'' +
                ", spec2='" + spec2 + '\'' +
                ", spec3='" + spec3 + '\'' +
                ", spec4='" + spec4 + '\'' +
                ", spec5='" + spec5 + '\'' +
                ", brand='" + brand + '\'' +
                ", year='" + year + '\'' +
                ", model='" + model + '\'' +
                ", unitId=" + unitId +
                ", companyId=" + companyId +
                ", functionId=" + functionId +
                ", departmentId=" + departmentId +
                ", sectionId=" + sectionId +
                ", typeId=" + typeId +
                ", categoryId=" + categoryId +
                ", subcategoryOneId=" + subcategoryOneId +
                ", subcategoryTwoId=" + subcategoryTwoId +
                ", code='" + code + '\'' +
                ", sku='" + sku + '\'' +
                ", itemRequestId=" + itemRequestId +
                ", minimumLevel=" + minimumLevel +
                ", deadLevel=" + deadLevel +
                ", storageLocationSiteId=" + storageLocationSiteId +
                ", storageLocationUnitId=" + storageLocationUnitId +
                ", storageLocationFloorId=" + storageLocationFloorId +
                ", storageLocationStoreId=" + storageLocationStoreId +
                ", storageLocationShelfId=" + storageLocationShelfId +
                ", dateAdded=" + dateAdded +
                ", lastAuditUpdateBy='" + lastAuditUpdateBy + '\'' +
                ", lastAuditDate=" + lastAuditDate +
                ", requestedByUser='" + requestedByUser + '\'' +
                ", addedByUser='" + addedByUser + '\'' +
                ", isActive=" + isActive +
                ", hsCode='" + hsCode + '\'' +
                ", imageUrl='" + imageUrl + '\'' +
                ", approvalStatus='" + approvalStatus + '\'' +
                ", approvedBy='" + approvedBy + '\'' +
                ", approvedDate=" + approvedDate +
                ", remarks='" + remarks + '\'' +
                ", requestDateTime=" + requestDateTime +
                ", materialType='" + materialType + '\'' +
                ", measurement='" + measurement + '\'' +
                ", origin='" + origin + '\'' +
                ", isSkuSystemGenerated=" + isSkuSystemGenerated +
                ", isUpdated=" + isUpdated +
                '}';
    }
}